#!/bin/bash
#to make the UniVPN install pack
unset LD_PRELOAD

if [ `whoami` != "root" ]
then
    echo "the current user is not root,please uninstall with root !";
    exit;
fi

UNINSTALL_PATH=/usr/local/UniVPN
cd $UNINSTALL_PATH
if [ $? != 0 ];then
   exit
fi

######### remove RemoteService Damemon Script ######
cd /etc/init.d
sh UniVPNPromoteService.sh stop
OS=`cat /etc/*-release`
if [ "$OS" = "Ubuntu" ]; then
    update-rc.d -f UniVPNPromoteService.sh remove
fi
rm UniVPNPromoteService.sh
########kill all UniVPN Process###################
pkill -9 UniVPNCS
pkill -9 UniVPNPromoteService
pkill -9 UniVPN$

APPDIR="/usr/share/applications"
APPSHORTCUT="$APPDIR/UniVPN.desktop" 
if [ -d $APPDIR ]; then
    rm -f "$APPSHORTCUT"
fi

HOMEDIRS=`cut -d: -f6  /etc/passwd`
for HOMEDIR in $HOMEDIRS; do
    if [ -d "$HOMEDIR/桌面" ]; then
                DESKTOPSHOTCUT="$HOMEDIR/桌面/UniVPN.desktop"
                rm -f  "$DESKTOPSHOTCUT"
        elif [ -d "$HOMEDIR/Desktop" ] ; then
        DESKTOPSHOTCUT="$HOMEDIR/Desktop/UniVPN.desktop"
        rm -f  "$DESKTOPSHOTCUT"        
    fi
done
sed -i '/UniVPN/d' ~/.profile
for HOMEDIR in $HOMEDIRS; do
    if [ -d "$HOMEDIR/UniVPN" ]; then
                DESKTOPSHOTCUT="$HOMEDIR/UniVPN"
                rm -rf  "$DESKTOPSHOTCUT"
    fi
done
##########delete the UniVPN.desktop from /home/xxx/.config/autostart folder begin ##############
for HOMEDIR in $HOMEDIRS; do
    AUTOSTARTCUT="$HOMEDIR/.config/autostart/UniVPNA.desktop" 
    rm -rf "$AUTOSTARTCUT"
done
##########delete the UniVPN.desktop from /home/xxx/.config/autostart folder end ##############

##########delete the content from /etc/profile##############
num=$(grep -n "#UniVPNPromoteServiceBegin" /etc/profile|cut -d : -f 1 | wc -w)
for((i=0;i<$num;i++))
do
    sbegin=$(grep -n "#UniVPNPromoteServiceBegin" /etc/profile|cut -d : -f 1 | head -n 1)
    send=$(grep -n "#UniVPNPromoteServiceEnd" /etc/profile|cut -d : -f 1 | head -n 1)
    if [ -n "$sbegin" ]&&[ -n "$send" ];then
        sbeg=$((sbegin-1));
        sdelc=${sbeg}","${send}"d"
        sed -i $sdelc /etc/profile
    fi
done
######### remove all the file #############
rm -rf $UNINSTALL_PATH
exit
